SQL-инъекция в phpSlash

Дата публикации:
26.12.2005
Дата изменения:
04.02.2009
Всего просмотров:
1987
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpSlash 0.x
Уязвимые версии: phpSlash 0.8.1

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "story_id" сценария "article.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

/article.php?story_id=1[SQL]

URL производителя: www.php-slash.org

Решение: Установите последнюю версию 0.8.1.1 с сайта производителя.

Журнал изменений:

04.02.2009
Изменена секция «Решение».

Ссылки: phpSlash SQL vuln.
http://pridels.blogspot.com/2005/12/phpslash-sql-vuln.html

или введите имя

CAPTCHA